'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Block(props) {
  var domProps = _extends({}, props, {
    className: (props.compClassName + ' ' + props.className).trim()
  });
  delete domProps.children;
  delete domProps.compClassName;
  delete domProps.compType;
  return _react2.default.createElement(props.compType, domProps, props.children);
}

Block.defaultProps = {
  className: '',
  compClassName: 'Block',
  compType: 'div'
};

Block.propTypes = {
  children: _propTypes2.default.node,
  className: _propTypes2.default.string,
  compClassName: _propTypes2.default.string,
  compType: _propTypes2.default.oneOf(['address', 'article', 'aside', 'blockquote', 'details', 'div', 'dl', 'fieldset', 'figcaption', 'figure', 'footer', 'form', 'header', 'main', 'nav', 'section'])
};

exports.default = Block;